Skip to main content
GET
/
api
/
runs
/
logs
Query console logs from a run
curl --request GET \
  --url https://pluto-api.trainy.ai/api/runs/logs \
  --header 'Authorization: Bearer <token>'
{
  "logs": [
    {
      "time": "<string>",
      "logType": "<string>",
      "lineNumber": 123,
      "message": "<string>",
      "step": 123
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

API key obtained from the mlop dashboard

Query Parameters

runId
number | null

Numeric run ID

projectName
string
required

Project name

logType
enum<string>

Filter by log type

Available options:
INFO,
ERROR,
WARNING,
DEBUG,
PRINT
limit
number
default:1000

Maximum lines to return

Required range: 1 <= x <= 10000
offset
number | null
default:0

Number of lines to skip

Required range: x >= 0

Response

200 - application/json

Console logs

logs
object[]
required
total
number
required